
package clustering;

public class VertexScore<V> {

    private V vertex;
    private float score;

    public VertexScore(V vertex, float score) {
        this.vertex = vertex;
        this.score = score;
    }

    public double getScore() {
        return score;
    }

    public void setScore(float score) {
        this.score = score;
    }

    public V getVertex() {
        return vertex;
    }

    public void setVertex(V vertex) {
        this.vertex = vertex;
    }

    @Override
    public String toString(){
        return this.vertex.toString() + " " + score;
    }

    

}
